## grails.util
Class GrailsMain

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script
              grails.util.GrailsMain

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsMain

extends groovy.lang.Script

Constructor Summary
`GrailsMain()`
`GrailsMain(groovy.lang.Binding context)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static void` `main(String[] args)`
`Object` `run()`

Methods inherited from class groovy.lang.Script
`evaluate, evaluate, getBinding, getProperty, invokeMethod, print, println, println, run, setBinding, setProperty`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsMain

    public GrailsMain()

### GrailsMain

    public GrailsMain(groovy.lang.Binding context)

Method Detail

### main

    public static void main(String[] args)

### run

    public Object run()

  Specified by:
    `run` in class `groovy.lang.Script`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

Copyright (c) 2005-2009 The Grails project